spring2升级到spring3时报错

spring2升级到spring3时报了空指针,集成了quartz包,quartz包不启动时,启动项目正常,spring和quartz同时启动时使用new ClassPathXmlApplicationContext时获取不到applicationcontext对象,无法初始化bean,求大神解答

0

1个回答

是不是jar冲突的原因,,,

0
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
spring 2.x 版本升级 spring 3.x (各jar的说明、依赖、合并)
[size=x-large]一. 起因[/size]rnrn 因为在项目中遇到spring版本升级,spiring 3.1.0.CI-995 升级到 3.1.0.RELEASE,同样是3.1.0,但是包间的关系相差甚多,导致maven直接修改版本号后,spring相关包不存在。程序不能正常编译。rnrn 尝试通过maven中不能通过的项修改回原来的版本号,代码编译成功,但是运行是报错。...
关于Spring低于3.2版本升级到3.2报java.lang.IncompatibleClassChangeError异常的解决方法
最近由于项目扩展发现低版本的spring已经不能满足我们的项目要求,果断升级了一下spring的版本,从3.1升级到3.2,结果在本地调试启动tomcat的时候报异常如下:java.lang.IncompatibleClassChangeError: class org.springframework.core.type.classreading.ClassMetadataReadingVisito
spring2,spring3 相关技术文档
spring2,spring3 相关技术文档spring2,spring3 相关技术文档spring2,spring3 相关技术文档spring2,spring3 相关技术文档
升级Spring从2.5.6至3.1.2过程实录
[size=x-large][b]1、引言[/b][/size]rn项目使用的是Spring MVC + Spring + iBatis框架,Spring和Spring MVC的版本都是2.5.6,但项目功能开发上需要支持REST功能,Spring MVC 2.5.6对REST的支持不够,于是决定升级Spring及Spring MVC至最新版本3.1.2rnrn[size=x-large][b]2...
Spring3.2.2版本升级到4.3.15版本艰辛历程
升级原因:nn         因为spring 3.2.2版本有安全漏洞,经讨论研究,确认升级spring框架版本,将其升级至4.3.15版本,nn升级过程:nn更改 项目依赖文件 中 spring 版本   原先版本为 3.2.2  修改为 4.3.15nnnn         因为项目jar包配置通过maven统一管理  所以在使用中 maven会通过配置文件自动下载相应的jar包和依赖包,...
spring3 升级到 spring4 要注意该的地方
最近搭建了一个框架,开始用的spring3.1.1 后来升级到spring4.2.0,把遇到的问题记录一下当做备份了nnnnn1、Java.lang.NoSuchMethodError: org.springframework.aop.scope.ScopedProxyUtils.isScopedTarget(Ljava/lang/String;)Znn这个问题是因为,我的项目里有两
spring3整合quartz1.8和spring3整合quartz2.2两个版本示例
spring3整合quartz1.8和spring3整合quartz2.2两个版本示例
Spring1.x 和Spring2.x 版本上使用有什么区别
详细介绍了Spring1.x 和Spring2.x 版本上使用有什么区别
更新Spring5之后遇到的小问题
    今天更新了SpringBoot的配置,升级到了Spring5.0,然而升级之后发现报了很多的错误,很多之前的接口报错,部分接口甚至找不到了,经过排查发现了Maven test的好用之处,顺利发现了罪魁祸首是部分jar包在下载到本地仓库的时候有问题并不能打开,删除掉之后重新下载就搞定啦(运行springboot的时候报找不到classes的错误,但实际这个classes是存在的,排查之后也是...
关于spring3升级到4的问题???
如果直接修改了spring的版本启动项目会抛出:nnCannot create inner bean 'org.springframework.http.converter.json.MappingJackson2HttpMessageConverter#0'nof type [org.springframework.http.converter.json.MappingJackson2HttpM...
spring3升级到4.3.15注意事项 (spring mvc)
1.替换jar包2.将配置文件的3.0 改成4.03.jackson也在这里,要把原来的低版本删除4.项目和tomcat要用jdk1.75.sevlet文件里的<bean class="org.springframework.web.servlet.mvc.annotation.AnnotationMethodHandlerAdapter"> <property name="...
spring3升级到4.3.15所需要的jar包及升级步骤
1.替换jar包 2.将配置文件的3.0 改成4.0 3.jackson也在这里,要把原来的低版本删除 4.项目和tomcat要用jdk1.7
spring 3.x升级到Spring 4.x 依赖的相关 json jar 包加上即可。(注意事项和步骤)
参考:http://www.sojson.com/blog/145.htmlrnrnrnrnrnrncom.fasterxml.jackson.corernjackson-databindrn2.7.4rnrnrncom.fasterxml.jackson.corernjackson-corern2.7.4rnrnrncom.fasterxml.jackson.corernjackson-anno
spring4 security
spring3 升级到spring4 security
spring3.2及以下的版本和 jdk8不兼容的问题
spring3.2及其以下版本和jdk8不兼容的问题.rnrnrnrnrn今天在学习springmvc的时候,报了Context initialization failed异常,后来查了资料才发现,不是因为配置的问题.rn是因为spring3.2及其以下的版本和jdk8版本支持,要想整合,rn一,把spring换成3.2以上版本(直接4就好了)rn二,把jdk换成6或者7就好,前一种方法比较简单,
spring2.5.6升级到4.3.7常见问题
1.      spring包化整为零,需要自行定义引入需要使用的基础包核心包等2. org.springframework.util.LinkedCaseInsensitiveMapcannot be cast to org.apache.commons.collections.map.ListOrderedMap错误解决方法:替换掉使用ListOrderedMap的地方 3.      jdk...
spring3与jdk8不兼容报错解决方法
java.lang.IllegalArgumentExceptionat org.springframework.asm.ClassReader.<init>(Unknown Source)at org.springframework.asm.ClassReader.<init>(Unknown Source)at org.springframework.asm.Class...
spring集成redis哨兵slave写问题解决
redis哨兵实现读写分离和高可靠,使用过程中是不是会出现两种问题,一种是会报socket reset异常考虑分析可能是master节点故障,客户端仍然连接旧的master; 一种是报slave写错误,考虑是故障节点重启后,仍然往旧的master中写数据。n单独写了测试类复现分析这个头疼的问题。n架构nnClient: spring data redis、 jedisnRedis 3台,1台mas...
JAVA连接sql2000数据库两种连接字符串
连接sql2000时总是报错!别的不说先将sql2000升级到sp4
springboot2升级笔记
springboot2终于发布,我尝试从1.5.10升级到2.0.0版本。和预期的一样,出现了各种各样的小问题。1.一些配置项在2.0版本被删除掉了,比如server.context-path ,security.ignored被移除掉了。server.context-path 使用新的server.servlet.context-pathsecurity.ignored直接移除。springbo...
Spring3集成Swagger2遇到问题总结
首先说一下需求:最近公司要开发一个小程序,我负责后台的接口开发。公司为了规范接口文档要统一使用YAPI 进行管理。YAPI支持Swagger 格式json文件导入,所以准备将公司的一个老项目接入Swagger2。在集成的过程中遇到一些问题,特意写这篇文章与大家分享。希望有同样需求的你少走些弯路。
spring3.2与jdk1.8不兼容问题
解决方案: n将jdk版本降为1.7 或者 使用Spring4nn n org.springframework n spring-webmvc n 4.3.9.RELEASE n
spring3整合hibernate4时报错
Exception in thread "main" org.springframework.beans.factory.BeanCreationException: Error creating bean with name 'sessionFactory' defined in class path resource [applicationContext.xml]: Invocation of init method failed; nested exception is java.lang.NoSuchMethodError: org.apache.commons.pool2.impl.GenericObjectPool.setTestOnCreate(Z)Vrn at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:1455)rn at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.doCreateBean(AbstractAutowireCapableBeanFactory.java:519)rn at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.createBean(AbstractAutowireCapableBeanFactory.java:456)rn at org.springframework.beans.factory.support.AbstractBeanFactory$1.getObject(AbstractBeanFactory.java:294)rn at org.springframework.beans.factory.support.DefaultSingletonBeanRegistry.getSingleton(DefaultSingletonBeanRegistry.java:225)rn at org.springframework.beans.factory.support.AbstractBeanFactory.doGetBean(AbstractBeanFactory.java:291)rn at org.springframework.beans.factory.support.AbstractBeanFactory.getBean(AbstractBeanFactory.java:193)rn at org.springframework.beans.factory.support.DefaultListableBeanFactory.preInstantiateSingletons(DefaultListableBeanFactory.java:587)rn at org.springframework.context.support.AbstractApplicationContext.finishBeanFactoryInitialization(AbstractApplicationContext.java:925)rn at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:472)rn at org.springframework.context.support.ClassPathXmlApplicationContext.(ClassPathXmlApplicationContext.java:139)rn at org.springframework.context.support.ClassPathXmlApplicationContext.(ClassPathXmlApplicationContext.java:83)rn at Test.TestSpringHibernate.main(TestSpringHibernate.java:18)rnCaused by: java.lang.NoSuchMethodError: org.apache.commons.pool2.impl.GenericObjectPool.setTestOnCreate(Z)Vrn at org.apache.commons.dbcp2.BasicDataSource.createConnectionPool(BasicDataSource.java:2213)rn at org.apache.commons.dbcp2.BasicDataSource.createDataSource(BasicDataSource.java:2056)rn at org.apache.commons.dbcp2.BasicDataSource.getConnection(BasicDataSource.java:1533)rn at org.hibernate.service.jdbc.connections.internal.DatasourceConnectionProviderImpl.getConnection(DatasourceConnectionProviderImpl.java:141)rn at org.hibernate.engine.jdbc.internal.JdbcServicesImpl$ConnectionProviderJdbcConnectionAccess.obtainConnection(JdbcServicesImpl.java:242)rn at org.hibernate.engine.jdbc.internal.JdbcServicesImpl.configure(JdbcServicesImpl.java:117)rn at org.hibernate.service.internal.StandardServiceRegistryImpl.configureService(StandardServiceRegistryImpl.java:75)rn at org.hibernate.service.internal.AbstractServiceRegistryImpl.initializeService(AbstractServiceRegistryImpl.java:159)rn at org.hibernate.service.internal.AbstractServiceRegistryImpl.getService(AbstractServiceRegistryImpl.java:131)rn at org.hibernate.cfg.SettingsFactory.buildSettings(SettingsFactory.java:71)rn at org.hibernate.cfg.Configuration.buildSettingsInternal(Configuration.java:2277)rn at org.hibernate.cfg.Configuration.buildSettings(Configuration.java:2273)rn at org.hibernate.cfg.Configuration.buildSessionFactory(Configuration.java:1742)rn at org.hibernate.cfg.Configuration.buildSessionFactory(Configuration.java:1782)rn at org.springframework.orm.hibernate4.LocalSessionFactoryBuilder.buildSessionFactory(LocalSessionFactoryBuilder.java:251)rn at org.springframework.orm.hibernate4.LocalSessionFactoryBean.buildSessionFactory(LocalSessionFactoryBean.java:372)rn at org.springframework.orm.hibernate4.LocalSessionFactoryBean.afterPropertiesSet(LocalSessionFactoryBean.java:357)rn at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.invokeInitMethods(AbstractAutowireCapableBeanFactory.java:1514)rn at org.springframework.beans.factory.support.AbstractAutowireCapableBeanFactory.initializeBean(AbstractAutowireCapableBeanFactory.java:1452)rn ... 12 morernrn[b]已经导入commons-dbcp2-2.1.1.jar和commons-pool2-2.1.jar连个包了,jdk1.7,是不是包的版本问题?[/b]
Spring4 整合hibernate3报错问题
今天整合Spring4 整合hibernate3的时候报类找不到:java.lang.NoSuchMethodError: org.hibernate.SessionFactory.getCurrentSession()Lorg/hibernate/Session。事实上是包没问题,通过一堆调试后发现,原来是dao层导入HibernateDaoSupport错误,Spring4中提供了hiberna
jdk1.7升级到1.8遇到的几个问题(spring3jar包到spring4jar包,bean注入,freemarker.jar版本冲突,jackson-***.jar升级),已解决
     由于公司之前一直在用一套老的架构(ssm+jdk1.7+dwz前端框架),这次和浦发银行合作开发一项目,但是人家的环境是jdk1.8,环境冲突启动报错,如下:nnnnorg.springframework.beans.factory.BeanCreationException: Error creating bean with name 'adminInfoServiceImpl' de...
SpringMVC框架升级为SpringBoot的案例图解
存储端maven版本和spring-boot版本区别nnMaven版本的mongodb.properties以及mongodb.xml在boot版本已删除,nn取代的是在boot的核心配置文件中增加nnnnnn在boot版本中新增springboot的启动加载类nnnn以及hbase的配置类nnnnnn删除了maven版本关于hbase的配置文件hbase.xml以及hbase-site.xm...
jsp做的电子商务系统
这是一个jsp做的电子商务系统,有前台后台,添加数据库报错时需要升级数据库,一般升级到pack3版本以上就不会报错。
spring3.0 整合 junit 遇到的坑
主要包为以下:nnjunit-4.12.jarnorg.springframework.test-3.0.1.RELEASE-A.jarnspring-context-3.0.1.RELEASE.jarnhamcrest-core-1.3.jarnn主要的是包匹配问题,一定要了解自己spring包版本nn错误:nn1.The type org.springframework.context.App...
Spring3.x 版本和 JDK1.8 不兼容
ERROR [localhost-startStop-1] (ContextLoader.java:307) - Context initialization failedrnrnjava.lang.IllegalArgumentExceptionrn    at org.springframework.asm.ClassReader.(Unknown Source)rn    at org.sp
spring2.0升级到spring3.0.5的开发包
将spring2的开发包spring.jar替换为附件中压缩文件的所有jar包,既可以将spring2.0的应用升级到spring3.0.5
pip升级到18.0版本过程中报错解决方法
我这台电脑是windows10系统,一般在cmd命令行界面下执行pip的升级命令:pip install –upgrade pip n安装的时候,会有拒绝访问报错:这个时候应该是权限的问题,于是在win10系统的搜索框输入cmd,然后在命令提示符上点右键,选择以管理员身份运行。 nnn然后就执行pip的升级命令:pip install –upgrade pip就可以了...
spring remoting的rmi服务2.5版本和3.0版本不兼容解决办法
由于spring2和spring3的rmi方式调用方式不同引起的,通过查阅相关文档后发现,spring3不在需要生成skeleton和stub了,所以把这个类从spring-context中删除了,解决办法就是想办法将它再加进来
spring3+cxf2.7 整合jar包
springMVC整合cxf所需的jar包
Spring3.2的jar包,在jdk1.8环境下的报错处理
spring工程jar问题rnrn开始环境使用的 Tomcat8.5,JDK1.8, Spring3.2rn在使用普通的 Mappering和HandlerAdapter时,都没有问题,但是在使用到注解形式调用时,一直报错:rnrn在网上查资料说是jdk版本不正确,需要换成1.7版本的jdkrn本人使用eclipse开发Java,eclipse中总共有三个地方设定JDKrna. eclipse的全局jdk版本设...
dubbox编译jar包,最新2.8.3版
基于当当开源dubbox2.8.3代码编译,支持spring3版本 dubbox很长时间没有更新,基于spring2版本,dubbox是当当基于dubbo升级版本,完全支持spring3版本,支持servlet-api3.0
JavaEE测试题(Spring2)
JavaEE测试题(Spring2)JavaEE测试题(Spring2)JavaEE测试题(Spring2)JavaEE测试题(Spring2)JavaEE测试题(Spring2)JavaEE测试题(Spring2)JavaEE测试题(Spring2)JavaEE测试题(Spring2)
Spring2学习总结
Spring2学习总结Spring2学习总结Spring2学习总结Spring2学习总结Spring2学习总结Spring2学习总结Spring2学习总结Spring2学习总结
Spring2(源码)
Spring2(源码),Spring2(源码),Spring2(源码),Spring2(源码)
spring4+springmvc+hibernate3 整合demo
spring4+springmvc+hibernate3 demo,前端jsp,能正常运行,包含数据库person.sql,适合初学者学习,大家共同进步!
lstdc++ 库
在升级到Xcode10,会发现library not found for -lstdc++.6.0.9的报错,
文章热词 机器学习教程 Objective-C培训 交互设计视频教程 颜色模型 设计制作学习
相关热词 mysql关联查询两次本表 native底部 react extjs glyph 图标 学习java基础语法时 学习java时